{{! make the _globals object in course.json available to this template}}
{{import_globals}}
<div {{#each _attributes}}{{@key}}="{{this}}" {{/each}} class="notify-popup notify-type-{{_type}} {{_classes}}">
    {{{a11y_aria_label _globals._accessibility._ariaLabels.feedbackPopUp}}}
    <div class="notify-popup-inner">
        <div class="notify-popup-content">
            <div class="notify-popup-content-inner">
                {{#if _showIcon}}
                    <div class="notify-popup-icon">
                        <div class="icon{{#if_value_equals _type "prompt"}} icon-question{{/if_value_equals}}{{#if_value_equals _type "alert"}} icon-warning{{/if_value_equals}}">
                        </div>
                    </div>
                {{/if}}
                {{#if title}}
                    <div class="notify-popup-title">
                        <div class="notify-popup-title-inner h5" tabindex="0" role="heading" aria-level="1">
                        {{{compile title this}}}
                        </div>
                    </div>
                {{/if}}
                {{#if body}}
                    <div class="notify-popup-body">
                        <div class="notify-popup-body-inner">{{{compile_a11y_text body this}}}</div>
                    </div>
                {{/if}}

                    {{#if_value_equals _type "alert"}}
                    <div class="notify-popup-buttons">
                        <button class="notify-popup-button notify-popup-alert-button" aria-label="{{{confirmText}}}">{{{confirmText}}}</button>
                    </div>
                    {{/if_value_equals}}

                    {{#if_value_equals _type "prompt"}}
                    <div class="notify-popup-buttons">
                        {{#each _prompts}}
                            <button class="notify-popup-button notify-popup-prompt-button" data-event="{{_callbackEvent}}" aria-label="{{{promptText}}}">{{{promptText}}}</button>
                        {{/each}}
                    </div>
                    {{/if_value_equals}}

            </div>
        </div>
        {{! toolbar moved for AA purposes - last tabbable element}}
        {{#if_value_equals _type "popup"}}
            <button class="base notify-popup-done" aria-label="{{_globals._accessibility._ariaLabels.closePopup}}">
                <div class="notify-popup-icon-close icon icon-cross"></div>
            </button>
        {{/if_value_equals}}
    </div>

    {{{a11y_wrap_focus}}}
</div>


<div class="notify-shadow"></div>
